#!/system/bin/busybox sh
busybox cut -c1 /sys/block/mmcblk1/size | busybox grep "4"
b=$?
echo "$b" 
if [ $b -eq 1 ]; then
busybox cut -c1 /sys/block/mmcblk1/size | busybox grep "3"
b=$?
echo "$b"
if [ $b -eq 1 ]; then
   echo "fdisk............."
busybox fdisk /dev/block/mmcblk1 << EOF
n
p
1

+10M
n
p
2

+500M
n
p
3

+1000M
n
e


n

+10M
n

+500M
n


p
w
EOF
else
   echo "fdisk............."
busybox fdisk /dev/block/mmcblk1 << EOF
n
p
1

+10M
n
p
2

+200M
n
p
3

+700M
n
e


n

+10M
n

+200M
n


p
w
EOF
fi
else
   echo "fdisk............."
busybox fdisk /dev/block/mmcblk1 << EOF
n
p
1

+10M
n
p
2

+200M
n
p
3

+700M
n
e


n

+10M
n

+200M
n


p
w
EOF
fi


echo "mkfs............."
mkfs.ext2 /dev/block/mmcblk1p1
mkfs.ext3 /dev/block/mmcblk1p2
mkfs.ext3 /dev/block/mmcblk1p3
mkfs.ext2 /dev/block/mmcblk1p5
mkfs.ext3 /dev/block/mmcblk1p6
busybox mkfs.vfat /dev/block/mmcblk1p7

echo "mount sd card............."
mkdir /data/tmp/
cd /data/tmp/
mkdir emmc1
mkdir emmc2
mkdir emmc3
mkdir emmc5
mkdir emmc6

busybox mount /dev/block/mmcblk1p1 /data/tmp/emmc1
busybox mount /dev/block/mmcblk1p2 /data/tmp/emmc2
busybox mount /dev/block/mmcblk1p3 /data/tmp/emmc3
busybox mount /dev/block/mmcblk1p5 /data/tmp/emmc5
busybox mount /dev/block/mmcblk1p6 /data/tmp/emmc6
mkdir /data/tmp/emmc1/boot
mkdir /data/tmp/emmc5/boot

echo "copy os............."
busybox cp /sdcard/zImage /data/tmp/emmc1/boot

echo "unzip system............."
cd /data/tmp/emmc2
busybox tar zxvf /sdcard/system.tar.gz -C ./
busybox mv ./system/* ./
busybox rm -rf ./system
busybox chmod -R 777 ./app/
busybox chmod 4755 ./bin/busybox

echo "unzip data............."
cd /data/tmp/emmc3
busybox tar zxvf /sdcard/data.tar.gz -C ./
busybox mv ./data/* ./
busybox rm -rf ./data
busybox chmod -R 777 ./*
mkdir errorLog

echo "unmount sd card............."
cd /
busybox umount /dev/block/mmcblk1p1
busybox umount /dev/block/mmcblk1p2
busybox umount /dev/block/mmcblk1p3
busybox umount /dev/block/mmcblk1p5
busybox umount /dev/block/mmcblk1p6
busybox rm -rf /data/tmp

active

echo "reboot ............"
reboot

