#!/system/bin/busybox sh
clean_dir(){
    echo "called clean_dir"
    busybox ls -dt -1 $DIR/*| busybox tail -n +6 >$DIR/check.txt
    exec 0<$DIR/check.txt
    while read line
    do
      echo $line
      if busybox test -f $line
      then
	echo "Removing file "$line
        rm $line
      fi
    done
    rm $DIR/check.txt
}

check_and_clean(){
echo "inside clean"
if busybox test -d $DIR 
then
  a=`busybox du -ms $DIR|busybox awk '{print $1}'`
  echo "inside clean size="$a
  if busybox test $a -gt $LIMIT
  then
        echo $DIR" size has crossed its limit "$LIMIT
	clean_dir
  fi
fi
}

echo "checking for /data/errorLog/"
DIR="/data/errorLog"
LIMIT=50
check_and_clean

echo "checking for /data/errorLog/zwave"
DIR="/data/errorLog/zwave"
LIMIT=50
check_and_clean

echo "checking for /data/errorLog/srfhal"
DIR="/data/errorLog/srfhal"
LIMIT=50
check_and_clean

exit 0;
